petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCGAMGRegister

Register a PCGAMG implementation.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGRegister(PCGAMGType type, PetscErrorCode (*create)(PC))

### Input Parameters

+ type - string that will be used as the name of the GAMG type. - create - function for creating the gamg context.

.seealso: PCGAMGType, PCGAMG, PCGAMGSetType()

Level:advanced
Location:src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages